Subject: Re: bug#7557: 23.1; Flymake fails when used in conjunction with Tramp

From: Michael Albinus <[email-masked]>
Date: Tue, 07 Dec 2010 20:47:44 +0100

Kevin Montag <[email-masked]> writes:

> Changing 'start-process' to 'start-file-process' in
> flymake-start-syntax-check-process' of flymake.el (as suggested in
> http://groups.google.com/group/gnu.emacs.help/browse_thread/thread/dda14275ce2b8b02/d58b601f2b3be223)
> partially fixes the problem.  With this change, Flymake performs
> syntax checks on remote files without an error message - however, the
> buffer is marked as modified each time such a check is performed.

I've changed tramp-handle-start-file-process not to set the modified
flag of the buffer. However, with the current Tramp in the emacs-23
branch other mysterious effects happen when enabling flymake-mode, which
are not reproducible with Emacs 23.1. I will continue to investigate.

Just to let you know ...

Best regards, Michael.